import { DeepClient } from "@deep-foundation/deeplinks/imports/client.js";
export interface ISound {
    recordDataBase64: string;
    msDuration: number;
    mimeType: string;
}
export interface IStopRecordingOptions {
    deep: DeepClient;
    /**
     * The ID of the container link.
     *
     * @defaultValue deep.linkId
     */
    containerLinkId?: number;
}
export declare function stopRecording({ deep, containerLinkId, }: IStopRecordingOptions): Promise<ISound>;
