import { DeepClient } from "@deep-foundation/deeplinks/imports/client.js";
import { ISound } from "./stop-recording.js";
export interface IRecord {
    sound: ISound;
    startTime: string;
    endTime: string;
}
export interface IUploadRecordsOptions {
    deep: DeepClient;
    containerLinkId: number;
    records: IRecord[];
}
export declare function uploadRecords({ deep, containerLinkId, records }: IUploadRecordsOptions): Promise<void>;
